> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Appointment Style Mapping



## OpenAPI

````yaml get /admin/appointment-style-mapping
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/appointment-style-mapping:
    get:
      tags:
        - provider
        - admin
      summary: Get Appointment Style Mapping
      operationId: get_appointment_style_mapping_admin_appointment_style_mapping_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppointmentStyleMapping-Output'
components:
  schemas:
    AppointmentStyleMapping-Output:
      properties:
        items:
          items:
            $ref: '#/components/schemas/AppointmentStyleItem'
          type: array
          title: Items
      type: object
      required:
        - items
      title: AppointmentStyleMapping
    AppointmentStyleItem:
      properties:
        eventStatus:
          $ref: '#/components/schemas/EventStatus'
        serviceStyleVariant:
          type: string
          title: Servicestylevariant
      type: object
      required:
        - eventStatus
        - serviceStyleVariant
      title: AppointmentStyleItem
    EventStatus:
      type: string
      enum:
        - PENDING
        - RESERVED
        - CONFIRMED
        - CANCELLED
        - COMPLETED
        - OVERRIDABLE
        - NO_SHOW
      title: EventStatus

````